#version=RHEL8
# Use graphical install
graphical

%packages
@^graphical-server-environment
@container-management
@development
@graphical-admin-tools
@headless-management
@infiniband
@legacy-unix
@network-file-system-client
@performance
@remote-desktop-clients
@remote-system-management
@rpm-development-tools
@system-tools
@web-server
%end

keyboard --xlayouts='us'
lang en_US.UTF-8
firstboot --enable
selinux --disabled
skipx
timezone Asia/Shanghai --isUtc --nontp

network --bootproto=dhcp --onboot=on --ipv6=auto
network --hostname=compute.local
clearpart --all --initlabel
#part /boot --fstype="ext4" --size=1024
#part swap --fstype="swap" --size=4096
#part / --fstype="xfs" --grow
autopart --type=lvm

url --url="http://172.16.2.1/redhat/r8"
#repo --name="AppStream" --baseurl=http://172.16.2.1/redhat/AppStream
#repo --name="BaseOS" --baseurl=http://172.16.2.1/redhat/BaseOS

rootpw --iscrypted $6$eT.sWNwV69wyvhaR$N5tY4rJn6Y2slOrwuejfUBq3MhC5SNe1gUfTSYmOACObwW4ckUK9fjkKwC9TgSPhwwlaGdbtn0EFg11TJmAbC1
user --name=admin --password=$6$0WN9CulSREVORA0S$FVWh6tkvdncbmSrsNPEb13GwxnGnEOKZliZLdL2IdY5E/fzLB8QmZAmgxyHh6ElSjObUCTbDEJ0l9.wRCRrsU. --iscrypted --gecos="admin"

%addon com_redhat_kdump --disable --reserve-mb='auto'
%end

%anaconda
pwpolicy root --minlen=6 --minquality=1 --notstrict --nochanges --notempty
pwpolicy user --minlen=6 --minquality=1 --notstrict --nochanges --emptyok
pwpolicy luks --minlen=6 --minquality=1 --notstrict --nochanges --notempty
%end
